package com.zh.lingnuo.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author zh
 * @since 2022-09-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class Company extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private String name;

    /**
     * 0=停用 1=开放
     */
    private Integer status;

    private String mail;

    private String tel;

    /**
     * 加盐
     */
    private String salt;

    /**
     * 密码
     */
    private String password;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedAt;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdAt;

    /**  停用 */
    public static int ManageCompanyStatusForbidden = 0;
    /**  开放 */
    public static int ManageCompanyStatusNormal = 1;

    public static String getStatusName(int status){
        switch (status){
            case 0:
                return "停用";
            case 1:
                return "开放";
            default:
                return "未知";
        }
    }
}
