package com.zh.lingnuo.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;

import com.zh.lingnuo.annotation.ExcelParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author zh
 * @since 2022-09-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class CompanyQnAnswerer extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 问卷id
     */
    private Integer qnId;

    /**
     * 答题人id
     */
    private Integer answererId;

       /**
     * 0=未答题 1 =答题中 2=已答题
     */
    private Integer status;

    private LocalDateTime startedAt;

    private LocalDateTime finishedAt;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updatedAt;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createdAt;

    /**  未答题 */
    public static int CompanyQnAnswerStatusWaiting = 0;
    /**  答题中 */
    public static int CompanyQnAnswerStatusProgressing = 1;
    /**  已答题 */
    public static int CompanyQnAnswerStatusCompleted = 2;

    public static String getStatusName(int status) {
        switch (status) {
            case 0:
                return "未答题";
            case 1:
                return "答题中";
            case 2:
                return "已答题";
            default:
                return "未知";
        }
    }

}
