package com.zh.lingnuo.serviceImpl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.zh.lingnuo.controller.manage.QnGroupController;
import com.zh.lingnuo.model.QnGroup;
import com.zh.lingnuo.mapper.QnGroupMapper;
import com.zh.lingnuo.service.IQnGroupService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zh.lingnuo.utils.result.Result;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-09-13
 */
@Service
public class QnGroupServiceImpl extends ServiceImpl<QnGroupMapper, QnGroup> implements IQnGroupService {

    @Autowired
    private QnGroupMapper qnGroupMapper;

    // 列表
   public Result<List<QnGroup>> groupList(QnGroupController.paramsGroupList params){
       QueryWrapper<QnGroup> qw = new QueryWrapper<QnGroup>()
           .like(StringUtils.isNotBlank(params.getTitle()), "t1.title", params.getTitle())
           .orderByDesc("t1.id");
       return Result.success(qnGroupMapper.all(qw));
   }

}
